
package org.aopalliance.reflect;

/**
 * This interface represents a locator on a base program structural unit.
 *
 * <p>A program unit represents any structural part of the program
 * (i.e. any part excepting code) such as a class, a method, a
 * field...
 *
 * <p>Unit locators are quite different from code locators.
 *
 * @see ProgramUnit
 * @see ProgramUnit#getLocator()
 * @see CodeLocator */

public interface UnitLocator extends Locator {
}



